//////////////////////////////////////////
// Renamer.cpp
//Copyright (c) 05/06/2020 by ECCSkelton
//////////////////////////////////////////
#include	"Renamer.h"
#include	"User.h"
#include	"RenamerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Renamer.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow(L"MainWnd", L"Renamer");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!Renamer.Create(NULL, hInstance, L"IDD_MAIN"))
		return 0L;

	//メッセージループに入る
	return Renamer.Loop();
}
